> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm a completed Stripe checkout session

> Registra a assinatura da sessão de checkout concluída na organização. Idempotente com o webhook do Stripe, que continua sendo a fonte principal.



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi post /v1/billing/checkout-sessions/{session_id}/confirm
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/billing/checkout-sessions/{session_id}/confirm:
    post:
      tags:
        - Billing
      summary: Confirm a completed Stripe checkout session
      description: >-
        Registra a assinatura da sessão de checkout concluída na organização.
        Idempotente com o webhook do Stripe, que continua sendo a fonte
        principal.
      operationId: postV1BillingCheckout-sessionsBySession_idConfirm
      parameters:
        - schema:
            type: string
          in: path
          name: session_id
          required: true
      responses:
        '200':
          description: Subscription registered (or already registered)
          content:
            application/json:
              example:
                status: true
                created: true
        '400':
          description: Dados inválidos
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: validation error
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
        '404':
          description: Recurso não encontrado
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.